//+------------------------------------------------------------------
//|
//+------------------------------------------------------------------
#property copyright "www.foredx-tsd.com"
#property link      "www.foredx-tsd.com"

#property indicator_chart_window
#property indicator_buffers 0

//
//
//
//
//
extern int    LookBackBars   = 10;
extern int    BarToTest      = 1;
extern color  UpperLineColor = DeepSkyBlue;
extern color  LowerLineColor = PaleVioletRed;

extern color  UpMoveColor = DeepSkyBlue;
extern color  DownMoveColor = PaleVioletRed;

extern string LinesID        = "HighLowBounds";
extern int    LinesStyle     = STYLE_SOLID;
extern int    LinesWidth     = 0;
extern bool   Inverted       = true;
extern int TimeFrame=0;

//+------------------------------------------------------------------
//| 
//+------------------------------------------------------------------
//
//
//
//
//

int init() 
{ 

  switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="M1"; break;
      case 5 : TimeFrameStr="M5"; break;
      case 15 : TimeFrameStr="M15"; break;
      case 30 : TimeFrameStr="M30"; break;
      case 60 : TimeFrameStr="H1"; break;
      case 240 : TimeFrameStr="H4"; break;
      case 1440 : TimeFrameStr="D1"; break;
      case 10080 : TimeFrameStr="W1"; break;
      case 43200 : TimeFrameStr="MN1"; break;
      default : TimeFrameStr="";
   } 

return(0); 
}
int deinit()
{
   deleteLines(); return(0);
}

//
//
//
//
//

int start()
{
   deleteLines();
   
   double HLineHigh = High[LookBackBars - 1];
   double HLineLow = Low[LookBackBars - 1];
   int HLineUpBar = LookBackBars - 1;
   int HLineDownBar = NULL;
   
   
 
    for(int j=LookBackBars - 2; j>0; j--)
   {
   
  
   
      if (Close[j]> HLineHigh )
         {
            HLineHigh = High[j];
            HLineLow = Low[j];
            HLineUpBar = j;
            HLineDownBar = NULL;
        
          
         }
      else
      {
         if (Close[j]< HLineLow)   
         {
            HLineHigh = High[j];
            HLineLow = Low[j];
            HLineUpBar = NULL;
            HLineDownBar = j;
            
             
         }
       }
   }


  
    if (HLineUpBar > 0) 
      { createLine("up",High[HLineUpBar],UpMoveColor,LinesStyle,LinesWidth,HLineUpBar);
        createLine("dn", Low[HLineUpBar],UpMoveColor,LinesStyle,LinesWidth,HLineUpBar);
      }
    
    
     if (HLineDownBar > 0) 
      { createLine("up",High[HLineDownBar],DownMoveColor,LinesStyle,LinesWidth,HLineDownBar);
        createLine("dn", Low[HLineDownBar],DownMoveColor,LinesStyle,LinesWidth,HLineDownBar);
      } 
    
   
/* if (Inverted)
   {
      if (Close[0]<High[BarToTest]) createLine("up",High[BarToTest],UpperLineColor,LinesStyle,LinesWidth);
      if (Close[0]> Low[BarToTest]) createLine("dn", Low[BarToTest],LowerLineColor,LinesStyle,LinesWidth);
   }
   else      
   {
      if (Close[BarToTest]>High[0]) createLine("up",High[BarToTest],UpperLineColor,LinesStyle,LinesWidth);
      if (Close[BarToTest]< Low[0]) createLine("dn", Low[BarToTest],LowerLineColor,LinesStyle,LinesWidth);
   }
*/
   
}

//
//
//
//
//

void deleteLines()
{
   string lookFor       = LinesID+":";
   int    lookForLength = StringLen(lookFor);   
   for(int i=ObjectsTotal()-1; i>=0; i--)
   {
      string name = ObjectName(i);
         if (StringSubstr(name,0,lookForLength) == lookFor) ObjectDelete(name);
   }         
}
void createLine(string name, double price, color theColor, int style=STYLE_SOLID, int width=1, int barnum = 1)
{
   name = LinesID+":"+name;
   ObjectCreate(name,OBJ_TREND,0,Time[barnum],price,Time[barnum],price);
         ObjectSet(name,OBJPROP_TIME1,Time[barnum]);
         ObjectSet(name,OBJPROP_TIME2,Time[barnum]+Period()*60);
         ObjectSet(name,OBJPROP_PRICE1,price);
         ObjectSet(name,OBJPROP_PRICE2,price);
         ObjectSet(name,OBJPROP_COLOR,theColor);
         ObjectSet(name,OBJPROP_STYLE,style);
         ObjectSet(name,OBJPROP_WIDTH,width);
}



